Patchwork [1/1] qemu: add fedora pkg names when build failed

login
register
mail settings
Submitter Robert Yang
Date March 26, 2012, 6:49 a.m.
Message ID <4665123dfd2c3d3011c628f4fec1b5a2118bf579.1332744516.git.liezhi.yang@windriver.com>
Download mbox | patch
Permalink /patch/24517/
State Accepted
Commit 246438582f8a23ce1847bae230bce07fbb3c6d15
Headers show

Comments

Robert Yang - March 26, 2012, 6:49 a.m.
When qemu build failed, we can see such messages:

You need libGL.so and libGLU.so to exist in your library path and the
development headers for SDL installed to build qemu-native.

Ubuntu package names are: libgl1-mesa-dev, libglu1-mesa-dev and
libsdl1.2-dev

These pkgs have different names on Fedora distributions, and Fedora is
one the
main linux distributions, so add Fedora package names.

The following Fedora versions have these pkgs:
	Fedora 9 64bit
	Fedora 13 32bit
	Fedora 13 64bit
	Fedora 16 64bit

[YOCTO #2174]

Signed-off-by: Robert Yang <liezhi.yang@windriver.com>
---
 meta/recipes-devtools/qemu/qemu.inc |    3 ++-
 scripts/runqemu                     |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)
Richard Purdie - March 26, 2012, 10:54 a.m.
On Mon, 2012-03-26 at 14:49 +0800, Robert Yang wrote:
> When qemu build failed, we can see such messages:
> 
> You need libGL.so and libGLU.so to exist in your library path and the
> development headers for SDL installed to build qemu-native.
> 
> Ubuntu package names are: libgl1-mesa-dev, libglu1-mesa-dev and
> libsdl1.2-dev
> 
> These pkgs have different names on Fedora distributions, and Fedora is
> one the
> main linux distributions, so add Fedora package names.
> 
> The following Fedora versions have these pkgs:
> 	Fedora 9 64bit
> 	Fedora 13 32bit
> 	Fedora 13 64bit
> 	Fedora 16 64bit
> 
> [YOCTO #2174]
> 
> Signed-off-by: Robert Yang <liezhi.yang@windriver.com>
> ---
>  meta/recipes-devtools/qemu/qemu.inc |    3 ++-
>  scripts/runqemu                     |    3 ++-
>  2 files changed, 4 insertions(+), 2 deletions(-)

Merged to master, thanks.

Richard

Patch

diff --git a/meta/recipes-devtools/qemu/qemu.inc b/meta/recipes-devtools/qemu/qemu.inc
index 307a205..8dee060 100644
--- a/meta/recipes-devtools/qemu/qemu.inc
+++ b/meta/recipes-devtools/qemu/qemu.inc
@@ -33,7 +33,8 @@  do_configure_prepend_virtclass-native() {
 
     if [ "$libsdl" != 'yes' -o "$libgl" != 'yes' ]; then
        echo "You need libGL.so and libGLU.so to exist in your library path and the development headers for SDL installed to build qemu-native.
-       Ubuntu package names are: libgl1-mesa-dev, libglu1-mesa-dev and libsdl1.2-dev"
+       Ubuntu package names are: libgl1-mesa-dev, libglu1-mesa-dev and libsdl1.2-dev.
+       Fedora package names are: mesa-libGL mesa-libGLU SDL-devel."
        exit 1;
     fi
 }
diff --git a/scripts/runqemu b/scripts/runqemu
index ac5facf..c349de0 100755
--- a/scripts/runqemu
+++ b/scripts/runqemu
@@ -406,7 +406,8 @@  test -e /usr/lib/*-linux-gnu/libGL.so -a -e /usr/lib/*-linux-gnu/libGLU.so && li
 
 if [ "$libgl" != 'yes' ]; then
     echo "You need libGL.so and libGLU.so to exist in your library path to run the QEMU emulator.
-    Ubuntu package names are: libgl1-mesa-dev and libglu1-mesa-dev."
+    Ubuntu package names are: libgl1-mesa-dev and libglu1-mesa-dev.
+    Fedora package names are: mesa-libGL mesa-libGLU."
     exit 1;
 fi